Package ru.bitel.bgbilling.kernel.filestorage.common.bean

# Class BGServerFile

java.lang.Object
ru.bitel.bgbilling.kernel.filestorage.common.bean.BGServerFile

All Implemented Interfaces:
  `Cloneable`, `Idable`

public class BGServerFile extends Object implements Idable, Cloneable
Хранимый файл.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGServerFile()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BGServerFile`
  `clone()`
  `static void`
  `fromJSON(org.json.JSONObject jsonObject, BGServerFile bgServerFile)`
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `int`
  `getId()`
  Возвращает id объекта
  `int`
  `getOwnerId()`
  `long`
  `getSize()`
  `String`
  `getTitle()`
  `int`
  `getUserId()`
  `String`
  `getUuid()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setId(int id)`
  `void`
  `setOwnerId(int ownerId)`
  `void`
  `setSize(long size)`
  `void`
  `setTitle(String title)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUuid(String uuid)`
  `static void`
  `toJSON(BGServerFile bgServerFile, org.json.JSONObject jsonObject)`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGServerFile

    public BGServerFile()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getOwnerId

    public int getOwnerId()

  - ### setOwnerId

    public void setOwnerId(int ownerId)

  - ### getId

    public int getId()
    Description copied from interface: `Idable`
    Возвращает id объекта
    Specified by:
      `getId` in interface `Idable`
    Returns:

  - ### setId

    public void setId(int id)

  - ### getSize

    public long getSize()

  - ### setSize

    public void setSize(long size)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getUuid

    public String getUuid()

  - ### setUuid

    public void setUuid(String uuid)

  - ### clone

    public BGServerFile clone()
    Overrides:
      `clone` in class `Object`

  - ### toJSON

    public static void toJSON(BGServerFile bgServerFile, org.json.JSONObject jsonObject)

  - ### fromJSON

    public static void fromJSON(org.json.JSONObject jsonObject, BGServerFile bgServerFile)